Name:           compat-erlang
Version:        R10B
Release:        15.12%{?dist}
Summary:        General-purpose programming language and runtime environment

Group:          Development/Languages
License:        ERPL
URL:            http://www.erlang.org
Source:         http://www.erlang.org/download/otp_src_R10B-10.tar.gz
Patch:		otp-links.patch
Patch1:		otp-install.patch
Patch2:		otp-rpath.patch
Patch3:         otp-sslrpath.patch
Patch4:		otp-glibc24.patch
Patch5:		otp-includes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	ncurses-devel
BuildRequires:  openssl-devel
BuildRequires:  unixODBC-devel
BuildRequires:	tcl-devel
BuildRequires:	tk-devel
BuildRequires:	java-1.5.0-gcj-devel
BuildRequires:  flex
BuildRequires:	m4

Requires:	tk

%description 
Erlang is a general-purpose programming language and runtime
environment. Erlang has built-in support for concurrency, distribution
and fault tolerance. Erlang is used in several large telecommunication
systems from Ericsson.


%prep
%setup -q -n otp_src_R10B-10
%patch -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
sed -i -e 's|@libdir@/erlang|@libdir@/erlang-R10B|' Makefile.in
sed -i -e 's|LD.*=.*@DED_LD@.*|LD=gcc|' \
    lib/asn1/c_src/Makefile.in \
    lib/crypto/c_src/Makefile.in \
    lib/megaco/src/flex/Makefile.in \
    lib/odbc/c_src/Makefile.in \
    lib/runtime_tools/c_src/Makefile.in

%build
./configure --prefix=%{_prefix} --exec-prefix=%{_prefix} --bindir=%{_bindir} --libdir=%{_libdir}
chmod -R u+w .
make


%install
rm -rf $RPM_BUILD_ROOT
make INSTALL_PREFIX=$RPM_BUILD_ROOT install

%define erlangdir %{_libdir}/erlang-R10B

# clean up
find $RPM_BUILD_ROOT%{erlangdir} -perm 0775 | xargs chmod 755
find $RPM_BUILD_ROOT%{erlangdir} -name Makefile | xargs chmod 644
find $RPM_BUILD_ROOT%{erlangdir} -name \*.bat | xargs rm -f
find $RPM_BUILD_ROOT%{erlangdir} -name index.txt.old | xargs rm -f

# make links to binaries
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cd $RPM_BUILD_ROOT%{_bindir}
for file in erl erlc 
do
  ln -sf ../%{_lib}/erlang-R10B/bin/$file ${file}-R10B
done

# remove buildroot from installed files
cd $RPM_BUILD_ROOT/%{erlangdir}
sed -i "s|$RPM_BUILD_ROOT||" erts*/bin/{erl,start} releases/RELEASES bin/{erl,start}

# remove file to fix build id problem
find $RPM_BUILD_ROOT -name crypto_drv.o | xargs rm -f


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc AUTHORS EPLICENCE README
%{_bindir}/*
%{_libdir}/erlang-R10B


%post
%{erlangdir}/Install -minimal %{erlangdir} >/dev/null 2>/dev/null


%changelog
* Tue Sep 01 2009 Caolán McNamara <caolanm@redhat.com> - R10B-15.12
- Resolves: rhbz#511447 FTBFS

* Fri Aug 21 2009 Tomas Mraz <tmraz@redhat.com> - R10B-15.11
- rebuilt with new openssl

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - R10B-14.11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - R10B-13.11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu Jan 15 2009 Tomas Mraz <tmraz@redhat.com> - R10B-12.11
- rebuild with new openssl

* Tue Jul 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> - R10B-12.10
- fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - R10B-12.9
- Autorebuild for GCC 4.3

* Fri Dec  7 2007 Gerard Milmeister <gemi@bluewin.ch> - R10B-11.9
- build id problems fixed

* Wed Dec 05 2007 Release Engineering <rel-eng at fedoraproject dot org> - R10B-11
 - Rebuild for deps

* Wed Mar 28 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - R10B-10.7
- Remove buildroot from installed files.

* Tue Mar 27 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - R10B-10.6
- Update otp-glibc24.patch for glibc 2.5.

* Tue Mar 27 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - R10B-10.5
- Require java-1.5.0-gcj-devel for build.

* Mon Aug 28 2006 Gerard Milmeister <gemi@bluewin.ch> - R10B-10.4
- Rebuild for FE6

* Fri Jun 30 2006 Gerard Milmeister <gemi@bluewin.ch> - R10B-10.3
- add BR m4

* Wed Jun  7 2006 Gerard Milmeister <gemi@bluewin.ch> - R10B-10.2
- removed doc

* Tue Jun  6 2006 Gerard Milmeister <gemi@bluewin.ch> - R10B-10.1
- new package erlangR10B

* Mon Mar 13 2006 Gerard Milmeister <gemi@bluewin.ch> - R10B-10.1
- new version R10B-10

* Thu Dec 29 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-9.1
- New Version R10B-9

* Sat Oct 29 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-8.2
- updated rpath patch

* Sat Oct 29 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-8.1
- New Version R10B-8

* Sat Oct  1 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.4
- Added tk-devel and tcl-devel to buildreq
- Added tk to req

* Tue Sep  6 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.3
- Remove perl BuildRequires

* Tue Aug 30 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.2
- change /usr/lib to %%{_libdir}
- redirect output in %%post to /dev/null
- add unixODBC-devel to BuildRequires
- split doc off to erlang-doc package

* Sat Jun 25 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-6.1
- New Version R10B-6

* Sun Feb 13 2005 Gerard Milmeister <gemi@bluewin.ch> - R10B-3.1
- New Version R10B-3

* Mon Dec 27 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:R10B-2-0.fdr.1
- New Version R10B-2

* Wed Oct  6 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:R10B-0.fdr.1
- New Version R10B

* Thu Oct 16 2003 Gerard Milmeister <gemi@bluewin.ch> - 0:R9B-1.fdr.1
- First Fedora release
